package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountQueryactivityRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountQueryactivityRequest) SetParam0(v domain.AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam) *AlibabaHmMarketingItemdiscountQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
